# std::_BinClos< _Oper, _Expr, _Expr, _Dom1, _Dom2 > Struct Template Reference

Inheritance diagram for std::_BinClos< _Oper, _Expr, _Expr, _Dom1, _Dom2 >:

List of all members.

## Detailed Description

### template<class _Oper, class _Dom1, class _Dom2>
struct std::_BinClos< _Oper, _Expr, _Expr, _Dom1, _Dom2 >

Definition at line 578 of file valarray_before.h.

## Public Types

- typedef _BinBase< _Oper, _Dom1,
  _Dom2 > _Base
- typedef _Dom1::value_type _Vt
- typedef _Base::value_type value_type

## Public Member Functions

- _BinClos (const _Dom1 &__e1, const _Dom2 &__e2)
- value_type operator[] (size_t __i) const
- size_t size () const

The documentation for this struct was generated from the following file:

- valarray_before.h